<?php
// Autor www.prochazka.zde.cz
// Tento kod lze neomezene pouzivat pro NEKOMERCNI UCELY!!!
// Pri komercním pouziti: Doporucuji si script nejprve nezavazne stahnout a odzkouset. Potom kontaktovat autora pro zakoupeni moznosti pouzivat tento script na komercnim webu.

/* --  inicializace jadra  -- */
define('_core_lightmode', 1);
define('_indexroot', '../');
require _indexroot."require/load.php";
require _indexroot."config.php"; 
$msg = "";
$sql_error = false; 

define("nazev_tabulky", "download");
define("Download_Pocitadlo_Version", "7.0."); 

require "../require/headstart.php";
/* --  instalace databaze  -- */
if(isset($_POST['license'])) {
    $sql = array(); 
    // nacteni promennych
    $pass = $_POST['pass'];
    $pass2 = $_POST['pass2'];
    $download = $_POST['download'];
    $rewrite = _checkboxLoad("rewrite");

    // kontrola promennych
    $errors = array();
    if($download == "" ) $errors[] = "Nebyl zadán nazev tabulky.";
    if($pass == "" or $pass2 == "") $errors[] = "Nebylo vyplněno heslo.";
    if($pass != $pass2) $errors[] = "Zadaná hesla nejsou shodná.";
    if($pass != $password) $errors[] = "Nespravne heslo.";

    // instalace
    if(count($errors) == 0) {
        // smazani existujicich tabulek
        if($rewrite) {
            $tables = array('soubor', 'rubrika', 'velikost', 'datum', 'verze', 'popis', 'stazeni', 'naposledy_stazen', 'hodnoceni', 'pocet_hodnotitelu');
            foreach($tables as $table) DB::query("DROP TABLE IF EXISTS `"._mysql_prefix."-".$download."-hac`");
        }

        // vytvoreni nove struktury
        $sql[] = 'CREATE TABLE IF NOT EXISTS `'._mysql_prefix."-".$download.'-hac` (
            `id` int(11) NOT NULL AUTO_INCREMENT,
            `soubor` varchar(120),
            `rubrika` varchar(32),
            `velikost` varchar(40),
            `datum` varchar(20),
            `verze` varchar(10),
            `popis` varchar(255),
            `stazeni` int(11) DEFAULT NULL,  
            `naposledy_stazen` varchar(20),  
            `hodnoceni` float DEFAULT NULL,  
            `pocet_hodnotitelu` int(11) DEFAULT NULL,  
            PRIMARY KEY (`id`),
            KEY `soubor` (`soubor`)
            ) ENGINE=MyISAM DEFAULT CHARSET=utf8'; 
            
        foreach($sql as $line) {
            DB::query($line, true);
            if(DB::error() != false) {
                $sql_error = DB::error();
                break;
            }
        }
        // zprava
        if($sql_error == false) $msg = "<font style='color:green;'>Zdá se, že databáze byla úspěšně nainstalována. Smažte soubor <em>download_install.php</em> ze serveru.</font>";
        else $msg = "Během vyhodnocování SQL dotazů nastala chyba:<hr />"._htmlStr($sql_error).'<hr />SQL dotaz:<br />'._htmlStr($line);
    } else {$msg = _eventList($errors);}
}
/* --  zprava  -- */
if($msg != "") { $msg = "<div id='message'><div>".$msg."</div></div><br />";}
// vlozeni zacatku hlavicky
require "../require/headstart.php";



?>
<title>Instalace databaze download <?php echo Download_Pocitadlo_Version; ?></title>
<style type="text/css">
body {font-family: Verdana, Helvetica, sans-serif; font-size: 13px; color: #000000; background-color: #ffffff; text-align: center; margin: 10px 0px 10px 0px;}
p,ol,ul {line-height: 24px;}
a {color: #ff6600}
h1 {font-size: 22px; margin: 0px 0px 15px 0px; padding: 0px 0px 8px 0px; border-bottom: 3px solid #ff6600;}
h2 {font-size: 17px;}
td {padding-right: 10px;}
#container {width: 980px; margin: 0 auto; text-align: left;}
#container div {padding: 10px 10px 25px 10px; background-color: #fff8f5; border: 1px solid #ff9859;}
#message {width: 980px; margin: 0 auto; text-align: left;}
#message div {padding: 10px; background-color: #ffffcc; border: 1px solid #f0f0f0; font-weight: bold;}
</style>

<script type="text/javascript">
/* <![CDATA[ */
function _checkForm(){
var pass=document.form.pass.value;
var pass2=document.form.pass2.value;
var download=document.form.download.value;
var license=document.form.license.checked;
var rewrite=document.form.rewrite.checked;

  if(pass=="" || pass2==""){alert("Nebylo vyplněno heslo."); return false;}
  if(pass!=pass2){alert("Zadaná hesla nejsou shodná."); return false;}
  if(download=="" || download=="@"){alert("Nebyl zadán nazev tabulky."); return false;}
  if(!license){alert("Musíte souhlasit s licencí pro spuštění instalace."); return false;}
  if(rewrite){return confirm("Opravdu chcete přepsat existující tabulky se stejnými jmény?");}
}

function _autoFill(){
var loc = new String(document.location);
if(loc.substring(loc.length-1, loc.length)=="/") loc = loc.substring(0, loc.length-1);

  //odrezani posledniho adresare
  var spos=0;
  for(var x=loc.length-1; x>=0; x-=1){
    if(loc.substring(x, x+1)=="/"){spos=x; break;}
  }

  //prepsani hodnoty
  if(spos!=0){
  loc=loc.substring(0, spos);
  document.form.url.value=loc;
  }
}
/* ]]> */
</script>
</head>
<body onload="_autoFill();">
<?php echo $msg; ?>

<form action="./" method="post" name="form">
<div id="container">
<div>
  <h1>Instalace databáze Download <?php
echo Download_Pocitadlo_Version;

?></h1>
  <p>Tato stránka slouží k instalaci databáze (vytvoření tabulek) pro script Download <?php
echo Download_Pocitadlo_Version;

?>. Před spuštěním instalace se ujistěte, že máte nastaveny správné přístupové údaje v souboru <em>config.php</em> a že není databáze již nainstalovaná (pro více instalací na jedné databázi je potřeba změnit prefix! - ten zmenite v souboru <em>config.php</em>) Pokud chcete databázi přeinstalovat, aktivujte možnost <em>Přepsat tabulky</em>.
<br> Samotny HCM modul <em>Download.php</em> nakopirujte na web do  <em>\plugins\hcm\hacesoft</em><br>
Pouziti je jednoduche - priklad: <br><em>[hcm]hacesoft/download,"soubor.zip","muj soubor"[/hcm]</em><br> prvni parametr je skutecny nazev souboru a druhy parametr je zobrazovany nazev souboru. HCM modul vytvori toto: 
<br><em>< a class="download" href="soubor.zip">muj soubor< /a></em> </p>
  <hr />
  <h2>Licenční ujednání</h2>
  <p>Použití a redistribuce scriptu Download (dále jen <q>systém</q>), v původním i upraveném tvaru, jsou povoleny za následujících podmínek:</p>

  <ul>
    <li>hlavicky scripu systému musí obsahovat viditelný nezměněný copyright s původními odkazy</li>
    <li>je povoleno upravovat zdrojové kódy Download scriptu, ne však zahrnovat (kopírovat) jejich části do jiných systemu</li>
    <li>není povoleno vydávat script za vlastní dílo</li>
  </ul>

  <h3>Zřeknutí se odpovědnosti</h3>
  <p>Tento systém je poskytován autorem <q>jak stojí a leží</q> a jakékoliv výslovné nebo předpokládané záruky včetně, ale nejen, předpokládaných obchodních záruk a záruky vhodnosti pro jakýkoliv účel jsou popřeny. Autor nebude v žádném případě odpovědný za jakékoliv přímé, nepřímé, náhodné, zvláštní, příkladné nebo vyplývající škody (včetně, ale nejen, škod vzniklých narušením dodávek zboží nebo služeb; ztrátou použitelnosti, dat nebo zisků; nebo přerušením obchodní činnosti) jakkoliv způsobené na základě jakékoliv teorie o zodpovědnosti, ať už plynoucí z jiného smluvního vztahu, určité zodpovědnosti nebo přečinu (včetně nedbalosti) na jakémkoliv způsobu použití tohoto systému, i v případě, že byl autor upozorněn na možnost takových škod.</p>

  <h3>Platnost a změna znění licence</h3>
  <p>Tato licence je platná pro všechny verze systému. Autor si vyhrazuje právo na změnu znění licenčního ujednání. Změny vstupují v platnost dnem uveřejnění na oficiálních stránkách.</p>
  <br />

  <label><input type="checkbox" name="license" value="1" /> souhlasím s licenčním ujednáním</label>
  <br /><br />
  <hr />
  <h2>Nastavení instalace</h2>
  <table>
  <tr>
  <td><strong>Přístupové heslo</strong></td>
  <td><input type="password" size="50" name="pass" /></td>
  <td><small>heslo pro účet hlavního administrátora</small></td>
  </tr>

  <tr>
  <td><strong>Přístupové heslo</strong></td>
  <td><input type="password" size="50" name="pass2" /></td>
  <td><small>heslo pro účet hlavního administrátora (kontrola)</small></td>
  </tr>

  <tr>
  <td><strong>Nazev tabuky Download</strong></td>
  <td><input type="text" size="50" name="download" value="<?php echo nazev_tabulky; ?>" /></td>
  <td><small>Nazev tabulky v databazi</small></td>
  </tr>

  <tr>
  <td><strong>Přepsat tabulky</strong></td>
  <td><input type="checkbox" name="rewrite" value="1" /></td>
  <td><small>tato volba způsobí, že existující tabulky se stejnými jmény budou přepsány</small></td>
  </tr>

  </table>
  <br />
  <input type="submit" value="Spustit instalaci databáze &gt;" onclick="return _checkForm();" />
</div>
</div>
</form>
</body>
</html>

